org.eclipse.aether.util.graph.selector

## Class StaticDependencySelector

- java.lang.Object
- - org.eclipse.aether.util.graph.selector.StaticDependencySelector

- All Implemented Interfaces:
    DependencySelector

      public final class StaticDependencySelector
      extends Object
      implements DependencySelector

  A dependency selector that always includes or excludes dependencies.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticDependencySelector(boolean select)` Creates a new selector with the specified selection behavior.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DependencySelector` | `deriveChildSelector(DependencyCollectionContext context)` Derives a dependency selector for the specified collection context.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `selectDependency(Dependency dependency)` Decides whether the specified dependency should be included in the dependency graph.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticDependencySelector

          public StaticDependencySelector(boolean select)

      Creates a new selector with the specified selection behavior.
      Parameters:
        `select` - `true` to select all dependencies, `false` to exclude all dependencies.

  - ### Method Detail

    - #### selectDependency

          public boolean selectDependency(Dependency dependency)

      Description copied from interface: `DependencySelector`
      Decides whether the specified dependency should be included in the dependency graph.
      Specified by:
        `selectDependency` in interface `DependencySelector`
      Parameters:
        `dependency` - The dependency to check, must not be `null`.
      Returns:
        `false` if the dependency should be excluded from the children of the current node, `true` otherwise.

    - #### deriveChildSelector

          public DependencySelector deriveChildSelector(DependencyCollectionContext context)

      Description copied from interface: `DependencySelector`
      Derives a dependency selector for the specified collection context. When calculating the child selector, implementors are strongly advised to simply return the current instance if nothing changed to help save memory.
      Specified by:
        `deriveChildSelector` in interface `DependencySelector`
      Parameters:
        `context` - The dependency collection context, must not be `null`.
      Returns:
        The dependency selector for the target node or `null` if dependencies should be unconditionally included in the sub graph.

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.